モニター
GET https://uptime4.com/api/monitors/
curl --request GET \
--url 'https://uptime4.com/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/monitors/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可される値は次のとおりです: name, target. |
| is_enabled | オプション ブール値 | |
| type | オプション 文字列 | 許可される値: website, ping, port |
| ping_servers_ids | オプション 整数 | 許可される値: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14 |
| project_id | オプション 整数 | |
| datetime_field | オプション 文字列 | 許可される値: datetime, last_datetime, last_check_datetime |
| datetime_start | オプション 文字列 | api_documentation.filters.datetime_start |
| datetime_end | オプション 文字列 | api_documentation.filters.datetime_end |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可される値は次のとおりです: monitor_id, datetime, last_datetime, last_check_datetime, name, uptime, average_response_time. |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順の場合は ASC、降順の場合は DESC です。 |
| page | オプション 整数 | 結果を取得するページ番号。デフォルトは 1 です。 |
| results_per_page | オプション 整数 | ページごとに必要な結果の数。許可される値は次のとおりです: 10, 25, 50, 100, 250, 500, 1000。デフォルトは 25 です。 |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Example",
"type": "website",
"target": "https://example.com/",
"port": 0,
"settings": {
"check_interval_seconds": 3600,
"timeout_seconds": 1,
"request_method": "GET",
"request_body": "",
"request_basic_auth_username": "",
"request_basic_auth_password": "",
"request_headers": [],
"response_status_code": 200,
"response_body": "",
"response_headers": []
},
"ping_servers_ids": [1],
"is_ok": 1,
"uptime": 95.5,
"downtime": 4.5,
"average_response_time": 500,
"total_checks": 500,
"total_ok_checks": 450,
"total_not_ok_checks": 50,
"last_check_datetime": "2021-03-25 08:27:07",
"notifications": {
"email_is_enabled": 0,
"webhook":"",
"slack":"",
"twilio":""
},
"is_enabled": false,
"datetime": "2026-04-19 11:05:50",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/monitors?page=1",
"last": "https://uptime4.com/api/monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/monitors?page=1"
}
}
GET https://uptime4.com/api/monitors/{monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Example",
"type": "website",
"target": "https://example.com/",
"port": 0,
"settings": {
"check_interval_seconds": 3600,
"timeout_seconds": 1,
"request_method": "GET",
"request_body": "",
"request_basic_auth_username": "",
"request_basic_auth_password": "",
"request_headers": [],
"response_status_code": 200,
"response_body": "",
"response_headers": []
},
"ping_servers_ids": [1],
"is_ok": 1,
"uptime": 95.5,
"downtime": 4.5,
"average_response_time": 500,
"total_checks": 500,
"total_ok_checks": 450,
"total_not_ok_checks": 50,
"last_check_datetime": "2021-03-25 08:27:07",
"notifications": {
"email_is_enabled": 0,
"webhook":"",
"slack":"",
"twilio":""
},
"is_enabled": false,
"datetime": "2026-04-19 11:05:50",
}
}
POST https://uptime4.com/api/monitors
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| target | 必須 文字列 | - |
| port | オプション 文字列 | - |
| type | オプション 文字列 | 許可される値: website, ping, port |
| project_id | オプション 整数 | - |
| ping_servers_ids | オプション 配列 | 許可される値: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14 |
| check_interval_seconds | オプション 整数 | 許可される値: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| timeout_seconds | オプション 整数 | 許可される値: 1, 2, 3, 5, 10, 25 (秒) |
| ping_ipv | オプション 文字列 |
利用可能な時期: type = ping 許可される値: ipv4, ipv6 |
| request_method | オプション 文字列 | 許可される値: HEAD, GET, POST, PUT, PATCH |
| request_body | オプション 文字列 | - |
| request_basic_auth_username | オプション 文字列 | - |
| request_basic_auth_password | オプション 文字列 | - |
| request_header_name | オプション 配列 | - |
| request_header_value | オプション 配列 | - |
| response_status_code | オプション 整数 | - |
| response_body | オプション 文字列 | - |
| response_header_name | オプション 文字列 | - |
| response_header_value | オプション 文字列 | - |
| is_ok_notifications | オプション 配列 | 通知ハンドラーID |
| email_reports_is_enabled | オプション ブール値 | - |
| cache_buster_is_enabled | オプション ブール値 | - |
| verify_ssl_is_enabled | オプション ブール値 | - |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
--url 'https://uptime4.com/api/monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=https://example.com/' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/monitors/{monitor_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| name | オプション 文字列 | - |
| target | オプション 文字列 | - |
| port | オプション 文字列 | - |
| type | オプション 文字列 | 許可される値: website, ping, port |
| project_id | オプション 整数 | - |
| ping_servers_ids | オプション 配列 | 許可される値: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14 |
| check_interval_seconds | オプション 整数 | 許可される値: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (秒) |
| timeout_seconds | オプション 整数 | 許可される値: 1, 2, 3, 5, 10, 25 (秒) |
| ping_ipv | オプション 文字列 |
利用可能な時期: type = ping 許可される値: ipv4, ipv6 |
| request_method | オプション 文字列 | 許可される値: HEAD, GET, POST, PUT, PATCH |
| request_body | オプション 文字列 | - |
| request_basic_auth_username | オプション 文字列 | - |
| request_basic_auth_password | オプション 文字列 | - |
| request_header_name | オプション 配列 | - |
| request_header_value | オプション 配列 | - |
| response_status_code | オプション 整数 | - |
| response_body | オプション 文字列 | - |
| response_header_name | オプション 文字列 | - |
| response_header_value | オプション 文字列 | - |
| is_ok_notifications | オプション 配列 | 通知ハンドラーID |
| email_reports_is_enabled | オプション ブール値 | - |
| cache_buster_is_enabled | オプション ブール値 | - |
| verify_ssl_is_enabled | オプション ブール値 | - |
| is_enabled | オプション ブール値 | - |
curl --request POST \
--url 'https://uptime4.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/monitors/{monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/monitors/{monitor_id}' \
--header 'Authorization: Bearer {api_key}' \